/*###############################################################################
## ETiles project
##
## Copyright (C) 2010 Carlos Villegas Núñez  carlos.villegasnunez@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################*/

#include "cargartileset.h"
#include "ui_cargartileset.h"
#include "QFileDialog"
#include "QMessageBox"

cargartileset::cargartileset(QWidget *parent, Tile *tiles, int anchuraT, int alturaT) :
    QDialog(parent), t(tiles), anchuraT(anchuraT), alturaT(alturaT),
    ui(new Ui::cargartileset)
{
    ui->setupUi(this);
}

cargartileset::~cargartileset()
{
    delete ui;
}

void cargartileset::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void cargartileset::on_BExaminar_clicked()
{
    fileName = QFileDialog::getOpenFileName(this);
    ui->EArchivo->setText(fileName);
}

void cargartileset::on_BAceptar_clicked()
{
    QPixmap newImage;
    if (!newImage.load(ui->EArchivo->text()))
    {
            QMessageBox::warning(this, tr("Importar Tile"),tr("La imagen no puede ser cargada"),QMessageBox::Cancel);
    }
    else
    {
        int margen = ui->SPMargen->value();
        //Si la imagen es mayor que un tileset
        if(newImage.width() > anchuraT || newImage.height() > alturaT)
        {
              QRect rect(0+margen,0+margen,anchuraT-margen,alturaT-margen);
              int x=0+margen,y=0+margen;
              //Recorremos cada tile que forma el tileset
              while(x < newImage.width())
              {
                  while(y < newImage.height())
                  {
                      rect.moveTo(x,y);
                      QPixmap Itile = newImage.copy(rect);
                      t->addPiece(Itile,fileName,margen);
                      y += alturaT + margen;
                  }
                  x += anchuraT + margen;
                  y=0+margen;
              }
        }
        else
            t->addPiece(newImage, fileName);
    }
    accept();
}

void cargartileset::on_BCancelar_clicked()
{
    reject();
}
