/*###############################################################################
## ETiles project
##
## Copyright (C) 2010 Carlos Villegas Núñez  carlos.villegasnunez@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################*/

#ifndef LISTATILES_H
#define LISTATILES_H

#include <QtGui>
#include <QListView>
#include <QPoint>
#include <QToolBar>
#include "tile.h"

class QMouseEvent;

class ListaTiles : public QListView
{
    public:
        /** Constructor de la clase IListaTiles, que se encarga de inicializar la interfaz de la lista de tiles, es decir, como se
          visualizarán los tiles dentro de ella*/
        ListaTiles();
        /** Método constante que devuelve la posición correspondiente al tile seleccionado dentro de la lista*/
        int TileSeleccionado() const;
        /** Método constante que devuelve un puntero a la barra de acciones interna de la lista de tiles*/
        QToolBar* BarraAcciones() const { return barra;}
        /** Método constante que devuelve un puntero a la acción de la barra de herramientas eliminar un tile*/
        QAction* AccionEliminar() const { return eliminar;}
        /** Método constante que devuelve un puntero a la acción de la barra de herramientas añadir un tile*/
        QAction* AccionAnadir() const { return anadir;}
        /** Método constante que devuelve un puntero a la acción de la barra de herramientas cargar un tileset*/
        QAction* AccionTileset() const { return anadirtileset;}
    private:
        QToolBar *barra;
        QAction *anadir;
        QAction *eliminar;
        QAction *anadirtileset;
        QPoint posactual;
};

#endif // LISTATILES_H
