/*###############################################################################
## ETiles project
##
## Copyright (C) 2010 Carlos Villegas Núñez  carlos.villegasnunez@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################*/

#ifndef REDIMENSIONAR_H
#define REDIMENSIONAR_H

#include <QDialog>
#include "ventanaprincipal.h"

namespace Ui {
    class redimensionar;
}

class redimensionar : public QDialog {
    Q_OBJECT
public:
    /** Constructor de la clase redimensionar, que se encargar de inicializar los componentes que formaran el diálogo de redimensión
    * @param parent: Puntero a la instancia que se encargar de realizar la creación
    */
    redimensionar(QWidget *parent = 0);
    /** Destructor de la clase redimensionar*/
    ~redimensionar();

protected:
    /** Procedimiento que se encarga de cambiar de evento
     * @param e: Parámetro que identifica el evento producido
     */
    void changeEvent(QEvent *e);

private slots:
    /** Procedimiento ligado a la acción sobre el botón aceptar, indicando que se realice la redimensión*/
    void on_BAceptar_clicked();
    /** Procedimiento ligado a la acción sobre el botón cancelar, indicando que se cancela la redimensión*/
    void on_BRechazar_clicked();

private:
    Ui::redimensionar *ui;
};

#endif // REDIMENSIONAR_H
